pvr-hts not working
#1
2 days ago pvr tvheadend was working, this morning it won't load. "Can't load shared library".

in addons I see only configure-update-auto-update-enable; uninstall is grayed out. When I click enable kodi crashes, no updates available..

Looks like it might be that libp8-platform.so.2.0 is missing.

updated the pvr.hts via apt-get, updated tvheadend via apt-get (after remove,purge,autoremove)
updated Kodi via apt-get,

Kodi 17 on Ubuntu

Kodi.log

Kodi crash log
Reply
#2
I have the same setup, and exactly the same issue.
Tried purging and re-installing, but no difference.

I thought it might be related to me installing and then uninstalling Emby.

Code:
13:03:02.206 T:139767276193536   ERROR: GetDirectory - Error getting
13:04:29.417 T:139768479492416   ERROR: Unable to load /usr/lib/x86_64-linux-gnu/kodi/addons/pvr.hts/pvr.hts.so.3.4.7, reason: libp8-platform.so.2.0: cannot open shared object file: No such file or directory
13:04:33.215 T:139768479492416   ERROR: UpdateAddons - failed to create add-on Tvheadend HTSP Client, status = 6

So I tried sudo apt-get install libp8-platform-dev
Rebooted, but that did not work
Then tried apt-get update and apt-get dist-upgrade
Rebooted, and enabled the addon and no error
But the PVR manager is just sitting at 0% startup because none of my TVHeadend accounts will work.
Reply
#3
(2016-11-14, 22:50)vmstek Wrote: I have the same setup, and exactly the same issue.
Tried purging and re-installing, but no difference.

I thought it might be related to me installing and then uninstalling Emby.

Code:
13:03:02.206 T:139767276193536   ERROR: GetDirectory - Error getting
13:04:29.417 T:139768479492416   ERROR: Unable to load /usr/lib/x86_64-linux-gnu/kodi/addons/pvr.hts/pvr.hts.so.3.4.7, reason: libp8-platform.so.2.0: cannot open shared object file: No such file or directory
13:04:33.215 T:139768479492416   ERROR: UpdateAddons - failed to create add-on Tvheadend HTSP Client, status = 6

So I tried sudo apt-get install libp8-platform-dev
Rebooted, but that did not work
Then tried apt-get update and apt-get dist-upgrade
Rebooted, and enabled the addon and no error
But the PVR manager is just sitting at 0% startup because none of my TVHeadend accounts will work.

I did all of that Kodi crashed again upon trying to enable the addon.

Tvheadend is working I can watch tv on the web interface.

At least this is not one of a kind, I feel so lonely when that happens.
Code:
T:140707318847872   ERROR: Unable to load /usr/lib/x86_64-linux-gnu/kodi/addons/pvr.hts/pvr.hts.so.3.4.7, reason: libp8-platform.so.2.0: cannot open shared object file: No such file or directory
Reply
#4
Got the exact same error out of the blue. Even after setting up the complete system this error occurs just the day after. I am some kind of happy that that you guys got the same problem.
Reply
#5
If I remember right, the newer versions of Kodi are using the new version of Pulse Eight's libplatform. Try looking for libplatform, kodi-platform or something similar.

(On Arch, the older versions of p8-platform were repackaged as libplatform-legacy, and the current version for use with Kodi 17b is under libplatform-git.)
Reply
#6
(2016-11-15, 03:29)rpcameron Wrote: If I remember right, the newer versions of Kodi are using the new version of Pulse Eight's libplatform. Try looking for libplatform, kodi-platform or something similar.

(On Arch, the older versions of p8-platform were repackaged as libplatform-legacy, and the current version for use with Kodi 17b is under libplatform-git.)

There is this:
Pulse-Eight

I am no coder, so I don't know what to do with it.
Reply
#7
simply updating to the current version in the nightly ppa should fix it.
Reply
#8
I ran into a similar issue this morning, except it was Kodi itself that couldn't find the library. I reverted the package back to 2.0 (I was on 2.1) by running the following:

Code:
sudo apt-get install libp8-platform2=2.0.1-1~xenial libp8-platform-dev=2.0.1-1~xenial
Reply
#9
Thank you wsnipex. That did the trick for me. Maybe i can now go back to unstable? Dont like to update every day.
Reply
#10
Today's nightly is a no go.

2.0.1-1 is what is causing my problem according to the logs.

I used negge's code and got:
E:Version '2.0.1-1~xenial' for ' libp8-platform2' was not found
E:Version '2.0.1-1~xenial' for ' libp8-platform-dev' was not found

Turns out 'apt upgrade' found kodi-pvr-hts 3.4.7.2 that overwrote kodi-pvr-hts 3.4.7.2 . it works now. I guess somebody noticed.
Reply
#11
Updated this morning and it is now working ! Thanks.

As a side note...and this is only my opinion, and not the proper board...but, I am not a real big fan of the Kodi17 TV menu layout.
I prefer the Kodi16 layout/navigation with the preview screen and the channel lineup.
Took me a while just to figure out how to stop the channel using the keyboard (X key), as I could not find a menu item for that function.
I rarely use the keyboard so that may be the reason.
Co-incidentally, Yatse removed the stop button from their remote screen, and it took a while to also find that function again.
Reply
#12
If you click OK the rev FF Stop progress bar etc comes up in 17. I am having trouble getting used to that.
Reply



Logout Mark Read Team Forum Stats Members Help
pvr-hts not working0
This forum uses Lukasz Tkacz MyBB addons.